Create General Ledger Account
curl --request POST \
--url https://spark.test.woodcore.co/api/v2/ledger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Cash at Head office branch",
"glCode": "1000124e7",
"manualEntriesAllowed": true,
"name": "Cash at Office Vault",
"parentId": "29",
"type": "asset",
"usage": "header"
}
'import requests
url = "https://spark.test.woodcore.co/api/v2/ledger"
payload = {
"description": "Cash at Head office branch",
"glCode": "1000124e7",
"manualEntriesAllowed": True,
"name": "Cash at Office Vault",
"parentId": "29",
"type": "asset",
"usage": "header"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Cash at Head office branch',
glCode: '1000124e7',
manualEntriesAllowed: true,
name: 'Cash at Office Vault',
parentId: '29',
type: 'asset',
usage: 'header'
})
};
fetch('https://spark.test.woodcore.co/api/v2/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Accounting
Create General Ledger Account
POST
/
ledger
Create General Ledger Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
{}
The response is of type object.
⌘I